{% extends "base.html" %}
{% load i18n %}
{% block title %}{% translate "processing lines"|capfirst %}{% endblock %}
{% block content %}
  <div class="row mt-2">
    <div class="col-12">
      <h1>{% translate "processing lines"|capfirst %}</h1>
      {% if not processing_line %}
        <p>{% translate "You are currently not registered at a processing line. Please select your current processing line from the list below." %}</p>
      {% else %}
        <p>{% translate "You can join a new processing line from the list below or leave your current processing line." %}</p>
      {% endif %}
    </div>
  </div>
  <div class="row">
    <div class="col">
      <table class="table table-hover">
        <thead>
          <tr>
            <th>{% translate 'processing line'|capfirst %}</th>
            <th>{% translate 'treatment type'|capfirst %}</th>
            <th>{% translate 'location'|capfirst %}</th>
            <th>{% translate 'operations'|capfirst %}</th>
          </tr>
        </thead>
        <tbody>
          {% for treatment_line in object_list %}
          <tr {% if treatment_line.running %} onclick="window.location='{% url 'treatments:select-location-choice' treatment_line.id %}'"{% endif %} {% if processing_line %}{% if processing_line.id == treatment_line.id %}class="bg-info"{% endif %}{% endif %}>
            <td>{{ treatment_line.name }}</td>
            <td>{{ treatment_line.treatment_type }}</td>
            <td>{{ treatment_line.location }}</td>
            <td>
              {% if treatment_line.running %}<span class="text-success">{% translate 'running'|upper %}</span>
              {% else %}<span class="text-danger">{% translate 'closed'|upper %}</span>
              {% endif %}
            </td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
      <a href="{% url 'home' %}" class="btn btn-outline-secondary"> {% translate "cancel"|capfirst %}</a>
      {% if processing_line %}
          <a href="{% url 'treatments:select-location-clear' %}" class="btn btn-danger"><i class="bi bi-box-arrow-right"></i> {% translate "check out"|capfirst %}</a>
       {% endif %}
    </div>
  </div>
{% endblock %}
